$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formAsignarBibliografia").on("submit", function (e) {
        var asigd = $('#asignaturaD').val();
        var asige = $('#asignaturaE').val();
        if (asigd != "") {
            BuscarPorAsignaturaDocente(e);
        }
        if (asige != "") {
            BuscarPorAsignaturaEstudiante(e);
        }
    });
});

function BuscarPorAsignaturaDocente(e) {
    e.preventDefault();
    var formData = new FormData($("#formAsignarBibliografia")[0]);
    var mallacurriculardbk = $('#asignaturaD').val();
    $('#calificacionD-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/asignarlibro.php?op=asignarLibros&mallacurriculardbk=" + mallacurriculardbk,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
}
function BuscarPorAsignaturaEstudiante(e) {
    e.preventDefault();
    var formData = new FormData($("#formAsignarBibliografia")[0]);
    var detalledbk = $('#asignaturaE').val();
    $('#calificacionE-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/asignarlibro.php?op=consultarLibros&detalledbk=" + detalledbk,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
}
$(document).ready(function () {
    combo_asignaturaD();
});
$(document).ready(function () {
    combo_asignaturaE();
});

function combo_asignaturaD() {
    $.post("../../controller/asignatura.php?op=comboAsignaturaDocente", function (data) {
        $('#asignaturaD').html(data);
    });
}
function combo_asignaturaE() {
    $.post("../../controller/asignatura.php?op=comboAsignaturaEstudiante", function (data) {
        $('#asignaturaE').html(data);
    });
}
$(".tablas").on("click", ".btnActivarCarrera", function () {
    var carreradbk = $(this).attr("idCarrera");
    var estado = $(this).attr("estadoCarrera");
    var datos = new FormData();
    datos.append("activarId", carreradbk);
    datos.append("activarCarrera", estado);
    $.ajax({
        url: "../../controller/asignarlibro.php?op=estado",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        success: function (data) {
        }
    })
    if (estado == "INACTIVO") {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).html('Inactivo');
        $(this).attr('estadoCarrera', "ACTIVO");
    } else {
        $(this).addClass('btn-success');
        $(this).removeClass('btn-danger');
        $(this).html('Activo');
        $(this).attr('estadoCarrera', "INACTIVO");
    }
})
function ver(e) {
    var URL = $('#url' + e).val();
    var librodbkV = parseInt(e);
    alert(e);
    $.post("../../controller/libro.php?op=ver", {librodbkV: e}, function (data) {
        data = JSON.parse(data);        
    });
    window.open(URL, "_blank");

}
